IF OBJECT_ID('dbo.vw_fdt_embargos') IS NOT NULL
    DROP VIEW dbo.vw_fdt_embargos
GO
CREATE VIEW dbo.vw_fdt_embargos
AS
SELECT
    E.compania, D.nombre_cia, 
    D.registro_fiscal, 
    T.clave_unica cedula, E.trabajador, 
    ltrim(rtrim(dbo.fn_Primer_Apellido(T.nombre))) + ' ' + 
    ltrim(rtrim(dbo.fn_Segundo_Apellido(T.nombre))) As Apellidos,  
    ltrim(rtrim(dbo.fn_Primer_Nombre(T.nombre))) + ' ' +  
    ltrim(rtrim(dbo.fn_Segundo_Nombre(T.nombre))) As Nombres,  
    E.concepto, C.descripcion, E.secuencia, 
    E.fecha_alta, E.fecha_baja, E.situacion, E.consecutivo_oficina,
    E.oficina_origen, E.oficina_destino, E.clase_deposito,
    E.numero_expediente, E.codigo_juzgado, E.banco, E.cuenta,
    E.tipo_id_demandante, E.id_demandante, E.apellido_demandante, 
    E.nombre_demandante, E.agr_conceptos_base, E.concepto_base,
    base = CASE IsNull(E.concepto_base, 0) WHEN 0 THEN E.agr_conceptos_base ELSE Convert(varchar,E.concepto_base) END,
    E.quinta_parte, E.monto_total, E.saldo_actual, E.porcentaje, E.cuota_fija, E.ciudad_pago, E.porcentaje_aumento,
    E.valor_aumento, E.mes_aumento, E.anio_desde
FROM 
    fdt_embargos E, trabajadores T, conceptos C, companias D
WHERE
    E.compania = D.compania And
    E.trabajador = T.trabajador And
    E.concepto = C.concepto

GO
GRANT SELECT ON vw_fdt_embargos TO PUBLIC
GO
